Bug 1505041 - [abrt] dnfdragora-gui: _gtk_style_provider_private_get_settings(): python3.6 killed by SIGSEGV
Summary: [abrt] dnfdragora-gui: _gtk_style_provider_private_get_settings(): python3.6 ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnfdragora
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:511594ba5d2eae20b4da4fb2333...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-21 11:59 UTC by Oddgeirsson
Modified: 2018-01-01 22:11 UTC (History)
4 users (show)

Fixed In Version: dnfdragora-1.0.1-8.git20171229.24e4647.fc27 dnfdragora-1.0.1-8.git20171229.24e4647.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-31 21:28:22 UTC


Attachments (Terms of Use)
File: backtrace (211.06 KB, text/plain)
2017-10-21 11:59 UTC, Oddgeirsson
no flags Details
File: cgroup (289 bytes, text/plain)
2017-10-21 11:59 UTC, Oddgeirsson
no flags Details
File: core_backtrace (43.16 KB, text/plain)
2017-10-21 11:59 UTC, Oddgeirsson
no flags Details
File: cpuinfo (1.34 KB, text/plain)
2017-10-21 11:59 UTC, Oddgeirsson
no flags Details
File: dso_list (19.13 KB, text/plain)
2017-10-21 11:59 UTC, Oddgeirsson
no flags Details
File: environ (1.85 KB, text/plain)
2017-10-21 11:59 UTC, Oddgeirsson
no flags Details
File: exploitable (96 bytes, text/plain)
2017-10-21 11:59 UTC, Oddgeirsson
no flags Details
File: limits (1.29 KB, text/plain)
2017-10-21 11:59 UTC, Oddgeirsson
no flags Details
File: maps (82.62 KB, text/plain)
2017-10-21 11:59 UTC, Oddgeirsson
no flags Details
File: open_fds (1.03 KB, text/plain)
2017-10-21 11:59 UTC, Oddgeirsson
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-10-21 11:59 UTC, Oddgeirsson
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-10-21 11:59 UTC, Oddgeirsson
no flags Details

Description Oddgeirsson 2017-10-21 11:59:03 UTC
Version-Release number of selected component:
dnfdragora-gui-1.0.1-5.git20170505.2a3b056.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/python3 /usr/bin/dnfdragora-updater
crash_function: _gtk_style_provider_private_get_settings
executable:     /usr/bin/python3.6
journald_cursor: s=efa4b92114df4cb6b6983e09281a2cfa;i=178df;b=1c6d8c52695d4f808fc701ceaca75b17;m=8a735a43;t=55b856ed1f812;x=9e8c06dfb7c88aea
kernel:         4.13.5-200.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _gtk_style_provider_private_get_settings at gtkstyleproviderprivate.c:123
 #1 gtk_css_value_initial_compute at gtkcssinitialvalue.c:52
 #2 gtk_css_static_style_compute_value at gtkcssstaticstyle.c:237
 #3 _gtk_css_lookup_resolve at gtkcsslookup.c:122
 #4 gtk_css_static_style_new_compute at gtkcssstaticstyle.c:195
 #5 gtk_css_static_style_get_default at gtkcssstaticstyle.c:164
 #6 gtk_css_node_init at gtkcssnode.c:663
 #7 g_type_create_instance at gtype.c:1860
 #8 g_object_new_internal at gobject.c:1783
 #11 gtk_css_widget_node_new at gtkcsswidgetnode.c:297

Comment 1 Oddgeirsson 2017-10-21 11:59:10 UTC
Created attachment 1341552 [details]
File: backtrace

Comment 2 Oddgeirsson 2017-10-21 11:59:11 UTC
Created attachment 1341553 [details]
File: cgroup

Comment 3 Oddgeirsson 2017-10-21 11:59:13 UTC
Created attachment 1341554 [details]
File: core_backtrace

Comment 4 Oddgeirsson 2017-10-21 11:59:14 UTC
Created attachment 1341555 [details]
File: cpuinfo

Comment 5 Oddgeirsson 2017-10-21 11:59:16 UTC
Created attachment 1341556 [details]
File: dso_list

Comment 6 Oddgeirsson 2017-10-21 11:59:17 UTC
Created attachment 1341557 [details]
File: environ

Comment 7 Oddgeirsson 2017-10-21 11:59:19 UTC
Created attachment 1341558 [details]
File: exploitable

Comment 8 Oddgeirsson 2017-10-21 11:59:20 UTC
Created attachment 1341559 [details]
File: limits

Comment 9 Oddgeirsson 2017-10-21 11:59:23 UTC
Created attachment 1341560 [details]
File: maps

Comment 10 Oddgeirsson 2017-10-21 11:59:24 UTC
Created attachment 1341561 [details]
File: open_fds

Comment 11 Oddgeirsson 2017-10-21 11:59:25 UTC
Created attachment 1341562 [details]
File: proc_pid_status

Comment 12 Oddgeirsson 2017-10-21 11:59:26 UTC
Created attachment 1341563 [details]
File: var_log_messages

Comment 13 Fedora Update System 2017-12-29 23:23:34 UTC
dnfdaemon-0.3.18-5.fc27 dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d66bd84f06

Comment 14 Fedora Update System 2017-12-29 23:27:51 UTC
dnfdaemon-0.3.18-5.fc26 dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8caadb4a1b

Comment 15 Fedora Update System 2017-12-30 19:54:45 UTC
dnfdaemon-0.3.18-5.fc27, dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d66bd84f06

Comment 16 Fedora Update System 2017-12-30 20:40:32 UTC
dnfdaemon-0.3.18-5.fc26, dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8caadb4a1b

Comment 17 Fedora Update System 2017-12-31 21:28:22 UTC
dnfdaemon-0.3.18-5.fc27, dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2018-01-01 22:11:59 UTC
dnfdaemon-0.3.18-5.fc26, dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.